matrix:
  platform:
  - debian10
  - debian11
  - ubuntu2004
  - ubuntu2204
  - macos
  - macos_arm64
  bazel:
  - 9.x
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@glib//gio'
    - '@glib//glib'
    - '@glib//gmodule'
    - '@glib//gobject'
    test_targets:
    - '@glib//glib/tests/...'
